COMMIT(7)

NAME
COMMIT - commit the current transaction

SYNOPSIS

COMMIT [ WORK | TRANSACTION ]

  INPUTS

WORK

TRANSACTION
    Optional keywords. They have no effect.

  OUTPUTS

COMMIT
    Message returned if the transaction is successfully committed.

NOTICE: COMMIT: no transaction in progress
    If there is no transaction in progress.

DESCRIPTION

COMMIT commits the current transaction. All changes made by the transaction become visible to others and are guaranteed to be durable if a crash occurs.

  NOTES

The keywords WORK and TRANSACTION are noise and can be omitted.

Use ROLLBACK [rollback(7)] to abort a transaction.

USAGE

To make all changes permanent:

COMMIT WORK;

COMPATIBILITY

  SQL92

SQL92 only specifies the two forms COMMIT and COMMIT WORK. Otherwise full compatibility.